Subject: bug#19970: parted bug report

From: "Brian C. Lane" <[email-masked]>
Date: Mon, 2 Mar 2015 08:26:15 -0800

On Sat, Feb 28, 2015 at 10:10:12AM +0100, Vitalii Lysov wrote:
> Hello guys,
> 
> I was practicing my partitioning skills inside of virtualbox. And I just got
> a segmentation fault. I hope this info could help you to fix a bug, if there
> is some.
> 
> My environment is Virtual Box with Knoppix 7.4.2 Live DVD.
> 
> I attached a file with my console output.
> 
> If you need any other information, let me know.

> (parted) print devices
> /dev/sda (1003MB)
> /dev/sr0 (4258MB)
> /dev/zram0 (1576MB)
> /dev/cloop0 (10.8GB)
> (parted) print list                                                       
> Model: ATA VBOX HARDDISK (scsi)
> Disk /dev/sda: 1003MB
> Sector size (logical/physical): 512B/512B
> Partition Table: gpt
> Disk Flags: 
> 
> Number  Start  End  Size  File system  Name  Flags
> 
> 
> Warning: Unable to open /dev/sr0 read-write (Read-only file system).  /dev/sr0
> has been opened read-only.
> 
> 
> You found a bug in GNU Parted! Here's what you have to do:
> 
> Don't panic! The bug has most likely not affected any of your data.
> Help us to fix this bug by doing the following:
> 
> Check whether the bug has already been fixed by checking
> the last version of GNU Parted that you can find at:
> 
> 	http://ftp.gnu.org/gnu/parted/
> 
> Please check this version prior to bug reporting.
> 
> If this has not been fixed yet or if you don't know how to check,
> please visit the GNU Parted website:
> 
> 	http://www.gnu.org/software/parted
> 
> for further information.
> 
> Your report should contain the version of this release (3.2)
> along with the error message below, the output of
> 
> 	parted DEVICE unit co print unit s print
> 
> and the following history of commands you entered.
> Also include any additional information about your setup you
> consider important.
>                                                                           
> Command History:
> print
> help
> help mktable
> mktable gpt
> print
> help mkpart
> mkpart primary 40%
> 40%
> print
> rm 1
> print
> print free space
> print free
> print devices
> print list
> 
> Error: SEGV_MAPERR (Address not mapped to object)
> Segmentation fault

With parted 3.2 from Fedora 21 and a video DVD in the drive I don't see
a traceback, so this probably depends on what you have in the drive.
There should be stack trace printed along with the failure which would
help narrow things down.

-- 
Brian C. Lane | Anaconda Team | IRC: bcl #anaconda | Port Orchard, WA (PST8PDT)